#include "guess.h"
#ifndef EVAL
#include "grader.cpp"
#endif

typedef long long ll;

int find_number(int MAX) {
    ll l =  1;
    ll r = MAX+1;
    while (l+1 < r) {
        ll m = (l+r)/2;
        if (smaller(m)) r = m;
        else l = m;
    }
    return l;
}

